Bug 973432 - if deactivation is needed before a _tmeta swap, the swap cmd should mention that and exit
if deactivation is needed before a _tmeta swap, the swap cmd should mention t...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Zdenek Kabelac
Cluster QE
:
Depends On:
Blocks: 1006065
  Show dependency treegraph
 
Reported: 2013-06-11 19:04 EDT by Corey Marthaler
Modified: 2014-06-17 21:18 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1006065 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:57:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2013-06-11 19:04:30 EDT
Description of problem:
This is similar to 973419, but w/o deactivating the pool device before making the swap.

[root@qalvm-01 ~]# lvs -a -o +devices
  LV           VG            Attr      LSize  Pool Origin Data%  Devices
  POOL         snapper_thinp twi---tz-  1.00g               0.00 POOL_tdata(0)
  [POOL_tdata] snapper_thinp Twi-aot--  1.00g                    /dev/vdh1(0)
  [POOL_tmeta] snapper_thinp ewi---t--  8.00m                    /dev/vdh1(256)
  newtmeta     snapper_thinp -wi-ao---  4.00m                    /dev/vdd1(0)
  origin       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other1       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other2       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other3       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other4       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  other5       snapper_thinp Vwi-a-tz-  1.00g POOL          0.00
  tmeta_swap   snapper_thinp Vwi-a-tz-  1.00g POOL origin   0.00

[root@qalvm-01 ~]# lvconvert --poolmetadata snapper_thinp/newtmeta --thinpool snapper_thinp/POOL
Do you want to swap metadata of snapper_thinp/POOL pool with volume snapper_thinp/newtmeta? [y/n]: y
  device-mapper: create ioctl on snapper_thinp-POOL_tmeta failed: Device or resource busy
  Failed to activate pool logical volume snapper_thinp/POOL.
  Device snapper_thinp-POOL_tdata (253:3) is used by another device.
  Failed to deactivate pool data logical volume.


Version-Release number of selected component (if applicable):
3.8.0-0.40.el7.x86_64

lvm2-2.02.99-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
lvm2-libs-2.02.99-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
lvm2-cluster-2.02.99-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
device-mapper-1.02.78-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
device-mapper-libs-1.02.78-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
device-mapper-event-1.02.78-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
device-mapper-event-libs-1.02.78-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
cmirror-2.02.99-0.46.el7    BUILT: Tue Jun  4 19:27:58 CDT 2013
Comment 2 Corey Marthaler 2014-01-24 17:58:34 EST
This is fixed in the latest rpms and should be added to the errata.

[root@host-050 ~]# lvconvert --yes --poolmetadata snapper_thinp/newtmeta --thinpool snapper_thinp/POOL
  Cannot convert pool snapper_thinp/POOL with active thin volumes.

lvm2-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
lvm2-libs-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
lvm2-cluster-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-libs-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-event-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-event-libs-1.02.84-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
device-mapper-persistent-data-0.2.8-3.el7    BUILT: Fri Dec 27 13:40:56 CST 2013
cmirror-2.02.105-1.el7    BUILT: Wed Jan 22 07:34:15 CST 2014
Comment 4 Ludek Smid 2014-06-13 05:57:13 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.